<?php
    $nextFUReasons = [
        "Appointment Confirmation",
        "New Appointment",
        "Missed Appointment",
        "Appointment Reschedule",
        "Appointment Cancellation",
        "Response to Pt's Voicemail",
        "Regarding ERx/Lab/Image Orders",
        "Regarding Supply Orders",
        "Regarding RPM",
        "Pt Profile Related Matters",
        "Pt Insurance Related Matters",
        "Incoming Referrals",
        "Outgoing Referrals",
        "Insurance Verification",
        "Questions Related to Past Visit",
        "Provider Recommended follow-up",
        "Care Coordination",
        "Patient Consent",
        "Patient Feedback",
        "Goals Follow Up",
        "Other-- (check recent memo)",
    ];
    $nextFUStatus = [
        "SCHEDULED",
        "CANCELLED",
        "COMPLETED",
    ];
?>
<div moe wide>
    <a href="#" start show class="d-flex align-items-baseline" title="Next FU"><img src="{{ asset('img/p-phone.png') }}" alt="" style="width:20px"></a>
    <form url="/api/client/putClientRepFollowUp" class="mcp-theme-1">
        <div id="viewNextFuData" class="{{ $patient->clientRepFollowUp ? '':'d-none' }}" fu-screen>
            @if($patient->clientRepFollowUp)
                <div class="d-flex align-items-center mb-2">
                <a id="updateNextFu" class="c-pointer" data-show="#updateNextFuData" next-fu-screen>Update</a>
                <a id="updateFuStatus" class="c-pointer ml-3" data-show="#updateStatus" next-fu-screen >Update Status</a>
                </div>
                <table class="table table-sm table-striped table-bordered m-0">
                    <tr>
                        <td><b>Client Rep</b></td>
                        <td>{{ $patient->clientRepFollowUp->pro->displayName() }}</td>
                    </tr>
                    <tr>
                        <td><b>Status</b></td>
                        <td>{{ $patient->clientRepFollowUp->status }}</td>
                    </tr>
                    <tr>
                        <td><b>Next Followup Date</b></td>
                        <td>{{ friendly_date_time($patient->clientRepFollowUp->next_follow_up_date) }}</td>
                    </tr>
                    <tr>
                        <td><b>Next Followup Reason</b></td>
                        <td>{{ $patient->clientRepFollowUp->next_follow_up_reason }}</td>
                    </tr>
                    <tr>
                        <td><b>Next Followup Memo</b></td>
                        <td>{{ $patient->clientRepFollowUp->next_follow_up_memo }}</td>
                    </tr>
                </table>
            @endif
        </div>
        @if($patient->clientRepFollowUp)
            <div id="updateStatus" class="{{ $patient->clientRepFollowUp ? 'd-none':'' }}" fu-screen>
            <a class="c-pointer mb-2" data-show="#updateNextFuData" next-fu-screen>View FU</a>
                <div class="mb-2">
                    <label for="" class="text-secondary mb-1">Update Status</label>
                    <select class="form-control input-sm" data-uid="{{ $patient->clientRepFollowUp->uid }}"  submit-status>
                        <option value=""></option>
                        @foreach($nextFUStatus as $fuStatus)
                            <option {{ $patient->clientRepFollowUp->status == $fuStatus ? 'selected':'' }}>{{ $fuStatus }}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        @endif
        <div id="updateNextFuData" class="{{ $patient->clientRepFollowUp ? 'd-none':'' }}" fu-screen>
            <a id="showNextFu" class="c-pointer" data-show="#viewNextFuData" next-fu-screen>Show FU</a>
            <input type="hidden" name="uid" value="{{ $patient->uid }}">
            <div class="mb-2">
                <label for="" class="text-sm text-secondary mb-1">Next Calling Date</label>
                <input type="date" class="form-control input-sm" name="nextFollowUpDate" value="{{ $patient->clientRepFollowUp ? $patient->clientRepFollowUp->next_follow_up_date : '' }}" />
            </div>
            <div class="mb-2">
                <label for="" class="text-sm text-secondary mb-1">Call Assigned To</label>
                <select provider-search name="clientRepProUid" class="form-control input-sm">
                    @if($patient->clientRepFollowUp)
                    <option value="{{ $patient->clientRepFollowUp->pro->uid }}">{{ $patient->clientRepFollowUp->pro->displayName() }}</option>
                    @endif
                </select>
                @if($patient->clientRepFollowUp)
                    <small class="text-muted">Current: <b>{{ $patient->clientRepFollowUp->pro->displayName() }}</b></small>
                @endif
            </div>
            <div class="mb-2">
                <label for="" class="text-sm text-secondary mb-1">Call Reason</label>
                <select name="nextFollowUpReason" class="form-control input-sm">
                    <option value=""></option>
                    @foreach($nextFUReasons as $fuReason)
                        <option @if($patient->clientRepFollowUp){{ $patient->clientRepFollowUp->next_follow_up_reason == $fuReason ? 'selected':'' }} @endif>{{ $fuReason }}</option>
                    @endforeach
                </select>
            </div>
            <div class="mb-2">
                <label for="" class="text-sm text-secondary mb-1">Call Memo</label>
                <textarea class="form-control input-sm" name="nextFollowUpMemo">{{ $patient->clientRepFollowUp ? $patient->clientRepFollowUp->next_follow_up_memo : '' }}</textarea>
            </div>
            <div class="d-flex align-items-center">
                <button class="btn btn-sm btn-primary mr-2" submit>Submit</button>
                <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
            </div>
        </div>
    </form>
</div>

<script>
    $(document).ready(function() {
        $('[next-fu-screen]').click(function(){
            var showRef = $(this).data('show');
            $('[fu-screen]').addClass('d-none');
            $(showRef).removeClass('d-none');
        });

        $('[submit-status]').change(function(){
            var value = $(this).val();
            var uid = $(this).data('uid');
            $.post('/api/clientRepFollowUp/update-status', {uid: uid, status: value}, function(response){
                if(response.success){
                    fastReload();
                }
            }, 'json')
        });
    });
</script>