<div class="d-flex align-items-center pb-3">
    <p class="font-weight-bold text-secondary m-0 font-size-14">Sleep Study</p>
</div>

<div class="mb-2 d-flex align-items-baseline">
    <span class="mr-2">Medically Needed:</span>
    <b>{{$patient->is_watch_pat_medically_needed ?: '-'}}</b>
    <div moe class="ml-3">
        <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
        <form url="/api/client/updateWatchPatMedicalNecessity">
            <input type="hidden" name="uid" value="{{$patient->uid}}">
            <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">Watchpat Medical Necessity</div>

            <p class="mb-2">Medical necessity ascertained during this visit?</p>

            <div class="mb-2">
                <div class="mb-1">Is WatchPat Medically Needed:</div>
                <select name="isWatchPatMedicallyNeeded" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    <option value="YES" {{$patient->is_watch_pat_medically_needed === 'YES' ? 'selected' : ''}}>Yes</option>
                    <option value="NO" {{$patient->is_watch_pat_medically_needed === 'NO' ? 'selected' : ''}}>No</option>
                    <option value="UNKNOWN" {{$patient->is_watch_pat_medically_needed === 'UNKNOWN' ? 'selected' : ''}}>Unknown</option>
                </select>
            </div>

            <div class="mb-2">
                <div class="mb-1">Memo:</div>
                <input type="text" value="{{$patient->watch_pat_medically_needed_for_memo}}" name="watchPatMedicallyNeededForMemo" class="form-control form-control-sm d-inline-block flex-grow-1">
            </div>

            <div class="mb-2">
                <table class="table table-sm table-bordered m-0">
                    <thead class="bg-light">
                    <tr>
                        <th class="text-sm text-secondary font-weight-normal border-bottom-0">ICD</th>
                        <th class="text-sm text-secondary font-weight-normal border-bottom-0">Description</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd1" value="{{$patient->watch_pat_medically_needed_for_icd1}}" placeholder="ICD 1" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd1Description" value="{{$patient->watch_pat_medically_needed_for_icd1description}}">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd2" value="{{$patient->watch_pat_medically_needed_for_icd2}}" placeholder="ICD 2" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd2Description" value="{{$patient->watch_pat_medically_needed_for_icd2description}}">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd3" value="{{$patient->watch_pat_medically_needed_for_icd3}}" placeholder="ICD 3" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd3Description" value="{{$patient->watch_pat_medically_needed_for_icd3description}}">
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input type="text" class="icd-input search_field" icd-autocomplete-code="" name="watchPatMedicallyNeededForIcd4" value="{{$patient->watch_pat_medically_needed_for_icd4}}" placeholder="ICD 4" autocomplete="off" role="combobox" aria-expanded="false">
                        </td>
                        <td>
                            <input type="text" class="form-control form-control-sm" icd-autocomplete-description="" name="watchPatMedicallyNeededForIcd4Description" value="{{$patient->watch_pat_medically_needed_for_icd4description}}">
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

            <input type="hidden" name="watchPatMedicalNecessityNoteUid" value="{{$note->uid}}">

            <div class="mt-2 border-top pt-2 text-center">
                <button class="btn btn-primary btn-sm" submit>Submit</button>
                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
            </div>
        </form>
    </div>
</div>

@if($patient->is_watch_pat_medically_needed === 'YES')
    <div class="mb-2 d-flex align-items-baseline">
        <span class="mr-2">Study Instructions:</span>
        @if($patient->watchPatStudyInstructionsNote)
            @if($patient->watchPatStudyInstructionsNote->id === $note->id)
                <b>Provided during this visit</b>
            @else
                <a native target="_blank" class="font-weight-bold"
                   href="<?= route('patients.view.notes.view.dashboard', ['patient' => $patient, 'note' => $patient->watchPatStudyInstructionsNote]) ?>"
                   >
                    Provided on {{friendly_date($patient->watchPatStudyInstructionsNote->effective_dateest)}}
                </a>
            @endif
        @else
            -
        @endif
        <div moe class="ml-3">
            <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
            <form url="/api/client/updateWatchPatStudyInstructionsGiven">
                <input type="hidden" name="uid" value="{{$patient->uid}}">
                <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">Sleep Study Instructions</div>

                <p class="mb-2">Sleep study instructions provided to patient during this visit?</p>

                <input type="hidden" name="watchPatStudyInstructionsNoteUid" value="{{$note->uid}}">

                <div class="mt-2 border-top pt-2 text-center">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
@endif

@if($patient->is_watch_pat_medically_needed === 'YES' && $patient->watchPatStudyInstructionsNote)
    <div class="mb-2 d-flex align-items-baseline">
        <span class="mr-2">Study Order:</span>
        @if($patient->watchPatStudyOrderedNote)
            @if($patient->watchPatStudyOrderedNote->id === $note->id)
                <b>Ordered during this visit</b>
            @else
                <a native target="_blank" class="font-weight-bold"
                   href="<?= route('patients.view.notes.view.dashboard', ['patient' => $patient, 'note' => $patient->watchPatStudyOrderedNote]) ?>"
                >
                    Ordered on {{friendly_date($patient->watchPatStudyOrderedNote->effective_dateest)}}
                </a>
            @endif
        @endif
        <div moe class="ml-3">
            <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
            <form url="/api/client/updateWatchPatStudyOrdered">
                <input type="hidden" name="uid" value="{{$patient->uid}}">
                <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">Sleep Study Order</div>

                <p class="mb-2">Sleep study instructions provided to patient during this visit?</p>

                <input type="hidden" name="isWatchPatStudyOrdered" value="1">

                <div class="mb-2">
                    <div class="mb-1">Memo:</div>
                    <input type="text" value="{{$patient->watch_pat_study_ordered_memo}}" name="watchPatStudyOrderedMemo" class="form-control form-control-sm d-inline-block flex-grow-1">
                </div>

                <input type="hidden" name="watchPatStudyOrderedNoteUid" value="{{$note->uid}}">

                <div class="mt-2 border-top pt-2 text-center">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
@endif

@if($patient->is_watch_pat_medically_needed === 'YES' && $patient->watchPatStudyInstructionsNote && $patient->is_watch_pat_study_ordered == '1' && $patient->watchPatStudyOrderedNote)
    <div class="mb-2 d-flex align-items-baseline">
        <span class="mr-2">WatchPat Results:</span>
        <?php
            $wpResults = [];
            if($patient->watch_pat_results_category) $wpResults[] = $patient->watch_pat_results_category;
            if($patient->watch_pat_results_memo) $wpResults[] = $patient->watch_pat_results_memo;
            if($patient->watch_pat_results_effective_as_of) $wpResults[] = $patient->watch_pat_results_effective_as_of;
            $wpResults = implode(' / ', $wpResults);
        ?>
        <b>{{$wpResults ?: '-'}}</b>
        <div moe class="ml-3">
            <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
            <form url="/api/client/updateWatchPatResults" hook="refreshSleepStudyStep">
                <input type="hidden" name="uid" value="{{$patient->uid}}">
                <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">WatchPat Results</div>

                <div class="mb-2">
                    <div class="mb-1">Category:</div>
                    <input type="text" value="{{$patient->watch_pat_results_category}}" name="watchPatResultsCategory" class="form-control form-control-sm d-inline-block flex-grow-1">
                </div>

                <div class="mb-2">
                    <div class="mb-1">Memo:</div>
                    <input type="text" value="{{$patient->watch_pat_result_memo}}" name="watchPatResultMemo" class="form-control form-control-sm d-inline-block flex-grow-1">
                </div>

                <div class="mb-2">
                    <div class="mb-1">Effective As Of:</div>
                    <input type="date" value="{{$patient->watch_pat_results_effective_as_of}}" name="watchPatResultsEffectiveAsOf" class="form-control form-control-sm d-inline-block flex-grow-1">
                </div>

                <div class="mt-2 border-top pt-2 text-center">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
@endif

@if($patient->is_watch_pat_medically_needed === 'YES' && $patient->watchPatStudyInstructionsNote && $patient->is_watch_pat_study_ordered == '1' && $patient->watchPatStudyOrderedNote && !is_null($patient->watch_pat_results_category))
    <div class="mb-2 d-flex align-items-baseline">
        <span class="mr-2">WatchPat Results Comm. to Patient:</span>
        @if($patient->watchPatResultsCommunicatedToPatientNote)
            @if($patient->watchPatResultsCommunicatedToPatientNote->id === $note->id)
                <b>Communicated to patient during this visit</b>
            @else
                <a native target="_blank" class="font-weight-bold"
                   href="<?= route('patients.view.notes.view.dashboard', ['patient' => $patient, 'note' => $patient->watchPatResultsCommunicatedToPatientNote]) ?>"
                >
                    Communicated to patient on {{friendly_date($patient->watchPatResultsCommunicatedToPatientNote->effective_dateest)}}
                </a>
            @endif
        @endif
        <div moe class="ml-3">
            <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
            <form url="/api/client/updateWatchPatResultsCommunicatedToPatient">
                <input type="hidden" name="uid" value="{{$patient->uid}}">
                <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">WatchPat Results</div>

                <p class="mb-2">WatchPat results communicated to patient during this visit?</p>

                <input type="hidden" name="watchPatResultsCommunicatedToPatientNoteUid" value="{{$note->uid}}">

                <div class="mt-2 border-top pt-2 text-center">
                    <button class="btn btn-primary btn-sm" submit>Submit</button>
                    <button class="btn btn-default border btn-sm" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
@endif
