@extends ('layouts.patient')
@section('inner-content')

    <div>

        <h4 class="font-weight-bold mb-0 font-size-16">Sleep Study</h4>

        <hr class="m-neg-4 mb-0">

        <div class="d-flex align-items-start m-neg-4" id="sleepStudyContainer">
            <div class="ss-leftnav border-right h-100 mh-100 overflow-overlay-on-hover">
                <a href="#" data-target-key="sleep-apnea-background" class="d-block py-1 border-bottom text-nowrap bg-aliceblue font-weight-bold ss-active">Sleep Apnea Background</a>
                <a href="#" data-target-key="signs-and-symptoms" class="d-block py-1 border-bottom text-nowrap">Signs &amp; Symptoms</a>
                <a href="#" data-target-key="patient-interest" class="d-block py-1 border-bottom text-nowrap">Patient Interest</a>
                <a href="#" data-target-key="insurance-coverage" class="d-block py-1 border-bottom text-nowrap">Insurance Coverage</a>
                <a href="#" data-target-key="sleep-study-address" class="d-block py-1 border-bottom text-nowrap">Sleep Study Address</a>
                <a href="#" data-target-key="manager" class="d-block py-1 border-bottom text-nowrap">Manager</a>
                <a href="#" data-target-key="medical-necessity" class="d-block py-1 border-bottom text-nowrap">Medical Necessity</a>
                <a href="#" data-target-key="study-instructions" class="d-block py-1 border-bottom text-nowrap">Study Instructions</a>
                <a href="#" data-target-key="study-order" class="d-block py-1 border-bottom text-nowrap">Study Order</a>
                <a href="#" data-target-key="study-authorization" class="d-block py-1 border-bottom text-nowrap">Study Authorization</a>
                <a href="#" data-target-key="device-allocation" class="d-block py-1 border-bottom text-nowrap">Device Allocation</a>
                <a href="#" data-target-key="shipment-to-manager" class="d-block py-1 border-bottom text-nowrap">Shipment To Manager</a>
                <a href="#" data-target-key="receipt-by-manager" class="d-block py-1 border-bottom text-nowrap">Receipt By Manager</a>
                <a href="#" data-target-key="shipment-to-client" class="d-block py-1 border-bottom text-nowrap">Shipment To Patient</a>
                <a href="#" data-target-key="receipt-by-client" class="d-block py-1 border-bottom text-nowrap">Receipt By Patient</a>
                <a href="#" data-target-key="app-installation" class="d-block py-1 border-bottom text-nowrap">App Installation</a>
                <a href="#" data-target-key="patient-ready" class="d-block py-1 border-bottom text-nowrap">Patient Ready</a>
                <a href="#" data-target-key="study-data-status" class="d-block py-1 border-bottom text-nowrap">Study Data Status</a>
                <a href="#" data-target-key="manager-bill" class="d-block py-1 border-bottom text-nowrap">Manager Bill</a>
                <a href="#" data-target-key="sleep-specialist" class="d-block py-1 border-bottom text-nowrap">Sleep Specialist</a>
                <a href="#" data-target-key="watchpat-results" class="d-block py-1 border-bottom text-nowrap">WatchPat Results</a>
                <a href="#" data-target-key="sleep-specialist-bill" class="d-block py-1 border-bottom text-nowrap">Sleep Specialist Bill</a>
                <a href="#" data-target-key="results-comm-to-patient" class="d-block py-1 border-bottom text-nowrap">Results Comm. To Patient</a>
                <a href="#" data-target-key="results-comm-to-doctors" class="d-block py-1 border-bottom text-nowrap">Results Comm. To Doctors</a>
            </div>
            <div class="ss-content flex-grow-1 h-100 mh-100 overflow-overlay-on-hover">
                <div class="border-bottom pb-4" data-key="sleep-apnea-background">
                    @include('app.patient.sleep-study.sleep-apnea-background')
                </div>

                <div class="border-bottom pb-4" data-key="signs-and-symptoms">
                    @include('app.patient.sleep-study.signs-and-symptoms')
                </div>

                <div class="border-bottom pb-4" data-key="patient-interest">
                    @include('app.patient.sleep-study.patient-interest')
                </div>

                <div class="border-bottom pb-4" data-key="insurance-coverage">
                    @include('app.patient.sleep-study.insurance-coverage')
                </div>

                <div class="border-bottom pb-4" data-key="sleep-study-address">
                    @include('app.patient.sleep-study.sleep-study-address')
                </div>

                <div class="border-bottom pb-4" data-key="manager">
                    @include('app.patient.sleep-study.manager')
                </div>

                <div class="border-bottom pb-4" data-key="medical-necessity">
                    @include('app.patient.sleep-study.medical-necessity')
                </div>

                <div class="border-bottom pb-4" data-key="study-instructions">
                    @include('app.patient.sleep-study.study-instructions')
                </div>

                <div class="border-bottom pb-4" data-key="study-order">
                    @include('app.patient.sleep-study.study-order')
                </div>

                <div class="border-bottom pb-4" data-key="study-authorization">
                    @include('app.patient.sleep-study.study-authorization')
                </div>

                <div class="border-bottom pb-4" data-key="device-allocation">
                    @include('app.patient.sleep-study.device-allocation')
                </div>

                <div class="border-bottom pb-4" data-key="shipment-to-manager">
                    @include('app.patient.sleep-study.shipment-to-manager')
                </div>

                <div class="border-bottom pb-4" data-key="receipt-by-manager">
                    @include('app.patient.sleep-study.receipt-by-manager')
                </div>

                <div class="border-bottom pb-4" data-key="shipment-to-client">
                    @include('app.patient.sleep-study.shipment-to-client')
                </div>

                <div class="border-bottom pb-4" data-key="receipt-by-client">
                    @include('app.patient.sleep-study.receipt-by-client')
                </div>

                <div class="border-bottom pb-4" data-key="app-installation">
                    @include('app.patient.sleep-study.app-installation')
                </div>

                <div class="border-bottom pb-4" data-key="patient-ready">
                    @include('app.patient.sleep-study.patient-ready')
                </div>

                <div class="border-bottom pb-4" data-key="study-data-status">
                    @include('app.patient.sleep-study.study-data-status')
                </div>

                <div class="border-bottom pb-4" data-key="manager-bill">
                    @include('app.patient.sleep-study.manager-bill')
                </div>

                <div class="border-bottom pb-4" data-key="sleep-specialist">
                    @include('app.patient.sleep-study.sleep-specialist')
                </div>

                <div class="border-bottom pb-4" data-key="watchpat-results">
                    @include('app.patient.sleep-study.watchpat-results')
                </div>

                <div class="border-bottom pb-4" data-key="sleep-specialist-bill">
                    @include('app.patient.sleep-study.sleep-specialist-bill')
                </div>

                <div class="border-bottom pb-4" data-key="results-comm-to-patient">
                    @include('app.patient.sleep-study.results-comm-to-patient')
                </div>

                <div class="border-bottom pb-4" data-key="results-comm-to-doctors">
                    @include('app.patient.sleep-study.results-comm-to-doctors')
                </div>

            </div>
        </div>

    </div>

    <script>
        (function () {
            function init() {
                adjustContainerHeight();
                $(window).on('resize', adjustContainerHeight);
                $(window).on('scroll', adjustContainerHeight);

                $(document)
                    .off('click.ss-leftnav', '.ss-leftnav>a[data-target-key]')
                    .on('click.ss-leftnav', '.ss-leftnav>a[data-target-key]', function() {
                        /*$('div[data-key="' + $(this).attr('data-target-key') + '"]')[0].scrollIntoView({
                            behavior: "smooth",
                            inline: "start",
                            block: "start"
                        });*/
                        let step = $('div[data-key="' + $(this).attr('data-target-key') + '"]');
                        $('.ss-content').scrollTop(0);
                        $('.ss-content').scrollTop(
                            step.offset().top -
                            $('.ss-content').offset().top
                        );
                        $(this).addClass('bg-aliceblue font-weight-bold ss-active').siblings().removeClass('bg-aliceblue font-weight-bold ss-active');
                        step.addClass('spot-highlight');
                        setTimeout(() => {
                            step.removeClass('spot-highlight');
                        }, 1500);
                        return false;
                    });

                $(document)
                    .off('mouseenter.ss-content', '.ss-content>[data-key]')
                    .on('mouseenter.ss-content', '.ss-content>[data-key]', function() {
                        let a = $('.ss-leftnav>a[data-target-key="' + $(this).attr('data-key') + '"]');
                        if(a.length) {
                            a.addClass('bg-aliceblue font-weight-bold ss-active').siblings().removeClass('bg-aliceblue font-weight-bold ss-active');
                        }
                    });
            }
            function adjustContainerHeight() {
                let container = $('#sleepStudyContainer'),
                    targetHeight = $(window).height() - (container.offset().top - $(window).scrollTop());
                container.css({
                    height: targetHeight + 'px',
                    minHeight: targetHeight + 'px',
                    maxHeight: targetHeight + 'px',
                });
            }

            addMCHook('refreshSleepStudyStep', function() {
                let step = $('a.ss-active').attr('data-target-key');
                if(step) {
                    $.get('{{route('patients.view.sleep-study-step', $patient)}}?step=' + step, _data => {
                        let stepElem = $('div[data-key="' + step + '"]');
                        stepElem.html(_data);
                        stepElem.addClass('spot-highlight');
                        setTimeout(() => {
                            stepElem.removeClass('spot-highlight');
                        }, 1500);
                        initMoes();
                        runMCInitializer('sleep-apnea-background');
                    });
                }
                return false;
            });

            addMCInitializer('sleepStudy', init, '#sleepStudyContainer');
        }).call(window);
    </script>

@endsection
