<div class="d-flex px-3 py-2 bg-light align-items-baseline border-bottom">
    <h4 class="font-weight-bold text-nowrap m-0">WatchPat App Installation</h4>
    <div moe class="ml-3">
        <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
        <form url="/api/client/updateWatchPatAppInstalled" hook="refreshSleepStudyStep">
            <input type="hidden" name="uid" value="{{$patient->uid}}">
            <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">WatchPat App Installation</div>

            <div class="mb-2">
                <div class="mb-1">Is WatchPat App Installed:</div>
                <select name="isWatchPatAppInstalled" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    <option value="1" {{$patient->is_watch_pat_app_installed == '1' ? 'selected' : ''}}>Yes</option>
                    <option value="0" {{$patient->is_watch_pat_app_installed == '0' ? 'selected' : ''}}>No</option>
                </select>
            </div>

            <div class="mb-2">
                <div class="mb-1">Verification Method:</div>
                <select name="watchPatAppInstallationVerificationMethod" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    <option value="SCREENSHOT" {{$patient->watch_pat_app_installation_verification_method === 'SCREENSHOT' ? 'selected' : ''}}>Screenshot</option>
                    <option value="IN_PERSON" {{$patient->watch_pat_app_installation_verification_method === 'IN_PERSON' ? 'selected' : ''}}>In Person</option>
                    <option value="PATIENT_SELF_REPORT" {{$patient->watch_pat_app_installation_verification_method === 'PATIENT_SELF_REPORT' ? 'selected' : ''}}>Patient Self Report</option>
                </select>
            </div>

            <div class="mb-2">
                <div class="mb-1">Memo:</div>
                <input type="text" value="{{$patient->watch_pat_app_installed_memo}}" name="watchPatAppInstalledMemo" class="form-control form-control-sm d-inline-block flex-grow-1">
            </div>

            <div class="mb-2">
                <div class="mb-1">Effective As Of:</div>
                <input type="date" value="{{$patient->watch_pat_app_installed_effective_as_of}}" name="watchPatAppInstalledEffectiveAsOf" class="form-control form-control-sm d-inline-block flex-grow-1">
            </div>

            <div class="mt-2 border-top pt-2 text-center">
                <button class="btn btn-primary btn-sm" submit>Submit</button>
                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
            </div>
        </form>
    </div>
</div>

<div class="px-3 pt-2 pb-1">
    Is WatchPat App Installed: <b>{{+$patient->is_watch_pat_app_installed ? 'Yes' : 'No'}}</b>
</div>

<div class="px-3 py-1">
    Verification Method: <b>{{$patient->watch_pat_app_installation_verification_method ?: '-'}}</b>
</div>

<div class="px-3 py-1">
    Memo: <b>{{$patient->watch_pat_app_installed_memo ?: '-'}}</b>
</div>

<div class="px-3 py-1">
    Effective As Of: <b>{{$patient->watch_pat_app_installed_effective_as_of ?: '-'}}</b>
</div>
