<div class="d-flex px-3 py-2 bg-light align-items-baseline border-bottom">
    <h4 class="font-weight-bold text-nowrap m-0">Sleep Study Order</h4>
    <div moe class="ml-3">
        <a start show href="#"><i class="fa fa-edit"></i> Edit</a>
        <form url="/api/client/updateWatchPatStudyOrdered" hook="refreshSleepStudyStep">
            <input type="hidden" name="uid" value="{{$patient->uid}}">
            <div class="font-weight-bold font-size-14 text-secondary border-bottom pb-2 mb-2 text-nowrap">Sleep Study Order</div>
            <div class="mb-2">
                <div class="mb-1">Is WatchPat Study Ordered:</div>
                <select name="isWatchPatStudyOrdered" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    <option value="1" {{$patient->is_watch_pat_study_ordered == '1' ? 'selected' : ''}}>Yes</option>
                    <option value="0" {{$patient->is_watch_pat_study_ordered == '0' ? 'selected' : ''}}>No</option>
                </select>
            </div>

            <div class="mb-2">
                <div class="mb-1">Memo:</div>
                <input type="text" value="{{$patient->watch_pat_study_ordered_memo}}" name="watchPatStudyOrderedMemo" class="form-control form-control-sm d-inline-block flex-grow-1">
            </div>

            <div class="mb-2">
                <div class="mb-1">Note:</div>
                <select name="watchPatStudyOrderedNoteUid" class="form-control form-control-sm">
                    <option value="">-- select --</option>
                    @foreach($patient->notes as $note)
                        <option value="{{$note->uid}}" {{$patient->watchPatStudyOrderedNote && $patient->watchPatStudyOrderedNote->uid === $note->uid ? 'selected' : '' }}>
                            {{$note->hcpPro ? $note->hcpPro->displayName() : 'Note'}} ({{friendly_date_time($note->effective_dateest, false)}})
                        </option>
                    @endforeach
                </select>
            </div>

            <div class="mt-2 border-top pt-2 text-center">
                <button class="btn btn-primary btn-sm" submit>Submit</button>
                <button class="btn btn-default border btn-sm" cancel>Cancel</button>
            </div>
        </form>
    </div>
</div>

<div class="px-3 pt-2 pb-1">
    Is WatchPat Study Ordered: <b>{{+$patient->is_watch_pat_study_ordered ? 'Yes' : 'No'}}</b>
</div>

<div class="px-3 py-1">
    Memo: <b>{{$patient->watch_pat_study_ordered_memo ?: '-'}}</b>
</div>

<div class="px-3 py-1">
    Note:
    @if($patient->watchPatStudyOrderedNote)
        <b>
            {{$patient->watchPatStudyOrderedNote->hcpPro ? $patient->watchPatStudyOrderedNote->hcpPro->displayName() : 'Note'}} ({{friendly_date_time($patient->watchPatStudyOrderedNote->effective_dateest, false)}})
        </b>
    @else
        <b>-</b>
    @endif
</div>
